Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.ui
Interface IXEditorPanel

All Known Implementing Classes:
  AbstractEditorPanel, DeclarationEditor.VarListEditor, ListEditorPanel, MiniConstraintPanel, ThingEditorPanel, ToggleEditorPanel

    public interface IXEditorPanel

A simple panel with a label (title), a component, and optional buttons. The given label will be at the top, the given component at the left and buttons with given labels on the right. Adds the given listener to the buttons and the list.

Method Summary
`void` | `deMinimise()`
`java.lang.Object` | `getData()` Gets the current data of the panel's item component.
`javax.swing.JComponent` | `getItemComponent()` Gets the panel's item component
`java.lang.String` | `getName()` Gets the panel's name
`boolean` | `isListItem()` Checks whether the item component can take lists (e.g.
`boolean` | `isMinimised()`
`void` | `larger()`
`void` | `minimise()`
`void` | `removeData()` Removes all data from the item component
`void` | `setData(java.lang.Object data)` Sets the current data of the item component.
`void` | `setEnabled(boolean isEditable)` Makes the item editable or not (default is editable).
`void` | `setLabel(java.lang.String label)` Sets the panel's label
`boolean` | `setRenderer(javax.swing.ListCellRenderer r)` Sets the renderer if the itemComponent is a JList or a JComboBox;
`void` | `smaller()`

Method Detail

### setLabel

    void setLabel(java.lang.String label)

  Sets the panel's label

### getName

    java.lang.String getName()

  Gets the panel's name

### getItemComponent

    javax.swing.JComponent getItemComponent()

  Gets the panel's item component

### getData

    java.lang.Object getData()

  Gets the current data of the panel's item component.

  Returns:
    an array of objects that are the current data model of the list

### setData

    void setData(java.lang.Object data)

  Sets the current data of the item component.

  Parameters:
    `data` - an object that is to be put into the item component NOTE: this should call dataSet(data) when it's done

### removeData

    void removeData()

  Removes all data from the item component

### isListItem

    boolean isListItem()

  Checks whether the item component can take lists (e.g. JList/JComboBox)

### setRenderer

    boolean setRenderer(javax.swing.ListCellRenderer r)

  Sets the renderer if the itemComponent is a JList or a JComboBox;

  Returns:
    true if the renderer was set, false if not.

### setEnabled

    void setEnabled(boolean isEditable)

  Makes the item editable or not (default is editable).

### minimise

    void minimise()

### deMinimise

    void deMinimise()

### isMinimised

    boolean isMinimised()

### larger

    void larger()

### smaller

    void smaller()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD